## gmsh 2.5.1~beta2~svn10875~dfsg

=== CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(gmsh CXX C)

option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ON)
option(ENABLE_APP_BUNDLE "Create .app bundle on Mac when installing" ON)
option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
option(ENABLE_BFGS "Enable BFGS" ON)
option(ENABLE_BLAS_LAPACK "Use BLAS and Lapack for linear algebra" ON)
option(ENABLE_BLOSSOM "Enable Blossom algo (based on MATCH and concorde97)" ON)
option(ENABLE_CGNS "Enable CGNS mesh export" OFF)
option(ENABLE_CHACO "Enable Chaco mesh partitioner" ON)
option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ON)
option(ENABLE_FLTK "Build FLTK GUI" ON)
option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ON)
option(ENABLE_FOURIER_MODEL "Enable Fourier geometrical models" OFF)
option(ENABLE_GMM "Enable GMM linear algebra solvers" ON)
option(ENABLE_GRAPHICS "Compile-in OpenGL graphics even if there is no GUI" OFF)
option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ON)
option(ENABLE_MATHEX "Enable MathEx expression parser" ON)
option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
option(ENABLE_MESH "Build the mesh module" ON)
option(ENABLE_METIS "Enable Metis mesh partitioner" ON)
option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ON)
option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ON)
option(ENABLE_MPI "Enable MPI parallelization" OFF)
option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ON)
option(ENABLE_NETGEN "Enable Netgen mesh generator" ON)
option(ENABLE_OCC "Enable Open CASCADE geometrical models" ON)
option(ENABLE_ONELAB "Enable OneLab solver interface" ON)
option(ENABLE_OSMESA "Use OSMesa for offscreen rendering" OFF)
option(ENABLE_PARSER "Build the GEO file parser" ON)
option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ON)
option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
option(ENABLE_POST "Build the post-processing module" ON)
option(ENABLE_QT "Build proof-of-concept QT GUI" OFF)
option(ENABLE_RBF "Enable RBF project" OFF)
option(ENABLE_SALOME "Enable Salome routines for CAD healing" ON)
option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
option(ENABLE_SOLVER "Enable solver components" ON)
option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ON)
option(ENABLE_TETGEN "Enable Tetgen mesh generator" ON)
option(ENABLE_TETGEN_NEW "Enable experimental version of Tetgen" OFF)
option(ENABLE_WRAP_JAVA "Build Java wrappers" OFF)
option(ENABLE_WRAP_PYTHON "Build Python wrappers" ON)

set(GMSH_MAJOR_VERSION 2)
set(GMSH_MINOR_VERSION 5)
set(GMSH_PATCH_VERSION 1)
set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")

set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
set(GMSH_VERSION "${GMSH_VERSION}.${GMSH_PATCH_VERSION}${GMSH_EXTRA_VERSION}")
set(GMSH_SHORT_LICENSE "GNU General Public License")

set(GMSH_API
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshConfig.h 
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshVersion.h
  Common/Gmsh.h Common/Context.h Common/GmshDefines.h Common/GmshMessage.h
    Common/VertexArray.h Common/Octree.h Common/OctreeInternals.h
  Numeric/Numeric.h Numeric/GaussIntegration.h Numeric/polynomialBasis.h
    Numeric/JacobianBasis.h Numeric/fullMatrix.h
    Numeric/simpleFunction.h Numeric/cartesian.h
  Geo/GModel.h Geo/GEntity.h Geo/GPoint.h Geo/GVertex.h Geo/GEdge.h 
    Geo/GFace.h Geo/GRegion.h Geo/GEdgeLoop.h Geo/GEdgeCompound.h 
    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/GRbf.h Geo/MVertex.h
    Geo/MVertexBoundaryLayerData.h Geo/MEdge.h 
    Geo/MFace.h Geo/MElement.h Geo/MPoint.h Geo/MLine.h Geo/MTriangle.h 
    Geo/MQuadrangle.h Geo/MTetrahedron.h Geo/MHexahedron.h Geo/MPrism.h 
    Geo/MPyramid.h Geo/MElementCut.h Geo/discreteVertex.h Geo/discreteEdge.h
    Geo/discreteFace.h Geo/discreteRegion.h Geo/SPoint2.h Geo/SPoint3.h
    Geo/SVector3.h Geo/STensor3.h Geo/SBoundingBox3d.h Geo/Pair.h Geo/Range.h 
    Geo/SOrientedBoundingBox.h Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h
    Geo/Homology.h Geo/partitionEdge.h Geo/CGNSOptions.h Geo/gmshLevelset.h
  Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h Mesh/meshPartition.h
    Mesh/meshGFaceDelaunayInsertion.h Mesh/Levy3D.h Mesh/meshPartitionOptions.h
  Numeric/mathEvaluator.h
  Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
    Solver/crossConfTerm.h Solver/orthogonalTerm.h
    Solver/linearSystem.h Solver/linearSystemGMM.h Solver/linearSystemCSR.h 
    Solver/linearSystemFull.h Solver/elasticitySolver.h
  Post/PView.h Post/PViewData.h Plugin/PluginManager.h Post/OctreePost.h
  Graphics/drawContext.h
  contrib/kbipack/gmp_normal_form.h contrib/kbipack/gmp_matrix.h 
    contrib/kbipack/gmp_blas.h contrib/kbipack/mpz.h
  contrib/DiscreteIntegration/Integration3D.h
  contrib/MathEx/mathex.h)

execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND hostname OUTPUT_VARIABLE HOSTNAME 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND whoami OUTPUT_VARIABLE PACKAGER 
                OUTPUT_STRIP_TRAILING_WHITESPACE)

if(NOT DATE)
  set(DATE "unknown")
endif(NOT DATE)
set(GMSH_DATE "${DATE}")

if(NOT HOSTNAME)
  set(HOSTNAME "unknown")
endif(NOT HOSTNAME)
set(GMSH_HOST "${HOSTNAME}")

if(NOT PACKAGER)
  set(PACKAGER "unknown")
endif(NOT PACKAGER)
set(GMSH_PACKAGER "${PACKAGER}")

if(APPLE)
  set(GMSH_OS "MacOSX")
elseif(CYGWIN)
  set(GMSH_OS "Windows")
else(APPLE)
  set(GMSH_OS "${CMAKE_SYSTEM_NAME}")
endif(APPLE)

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)

if(MSVC)
  # remove annoying warning about bool/int cast performance
  set(GMSH_CONFIG_PRAGMAS "#pragma warning(disable:4800)")
  if(ENABLE_MSVC_STATIC_RUNTIME)
    foreach(VAR
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${VAR} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${VAR} "${${VAR}}")
      endif(${VAR} MATCHES "/MD")
    endforeach(VAR)
  endif(ENABLE_MSVC_STATIC_RUNTIME)
endif(MSVC)

macro(append_gmsh_src DIRNAME FILES)
  foreach(FILE ${FILES})
    list(APPEND LIST ${DIRNAME}/${FILE})
  endforeach(FILE)
  set(GMSH_SRC ${GMSH_SRC};${LIST} PARENT_SCOPE)
  set(GMSH_DIRS ${GMSH_DIRS};${DIRNAME} PARENT_SCOPE)
endmacro(append_gmsh_src)

macro(find_all_libraries VARNAME LISTNAME PATH SUFFIX)
  set(${VARNAME})
  list(LENGTH ${LISTNAME} NUM_LIST)
  foreach(LIB ${${LISTNAME}})
    find_library(FOUND_LIB ${LIB} PATHS ${PATH} PATH_SUFFIXES ${SUFFIX})
    if(FOUND_LIB)
      list(APPEND ${VARNAME} ${FOUND_LIB})
    endif(FOUND_LIB)
    set(FOUND_LIB FOUND_LIB-NOTFOUND CACHE INTERNAL "")
    # unset(FOUND_LIB CACHE) # cleaner, but only available in cmake >= 2.6.4
  endforeach(LIB)
  list(LENGTH ${VARNAME} NUM_FOUND_LIBRARIES)
  if(NUM_FOUND_LIBRARIES LESS NUM_LIST)
    set(${VARNAME})
  endif(NUM_FOUND_LIBRARIES LESS NUM_LIST)
endmacro(find_all_libraries)

macro(set_config_option VARNAME STRING)
  set(${VARNAME} TRUE)
  list(APPEND CONFIG_OPTIONS ${STRING})
  message(STATUS "Found " ${STRING})
endmacro(set_config_option)

# check if the machine is 64 bits (this is more reliable than using
# CMAKE_SIZEOF_VOID_P, which does not seem to work e.g. on some Suse
# machines)
check_type_size("void*" SIZEOF_VOID_P)
if(SIZEOF_VOID_P EQUAL 8)
  set_config_option(HAVE_64BIT_SIZE_T "Have64BitSizeT")
endif(SIZEOF_VOID_P EQUAL 8)

if(ENABLE_BLAS_LAPACK)
  if(MSVC)
    # on Windows with Visual C++ try really hard to find blas/lapack
    # *without* requiring a Fortran compiler: 1) try to find the Intel
    # MKL libs using the standard search path; if not found 2) try to
    # get the reference blas/lapack libs (useful for users with no
    # Fortran compiler and no MKL license, who can just download our
    # precompiled "gmsh-dep" package)
    if(HAVE_64BIT_SIZE_T)
      set(MKL_PATH em64t/lib)
    else(HAVE_64BIT_SIZE_T)
      set(MKL_PATH ia32/lib)
    endif(HAVE_64BIT_SIZE_T)
    set(MKL_LIBS_REQUIRED libguide40 mkl_intel_c mkl_intel_thread mkl_core)
    find_all_libraries(LAPACK_LIBRARIES MKL_LIBS_REQUIRED "" ${MKL_PATH})
    if(LAPACK_LIBRARIES)
      set_config_option(HAVE_BLAS "Blas(IntelMKL)")
      set_config_option(HAVE_LAPACK "Lapack(IntelMKL)")
    else(LAPACK_LIBRARIES)
      set(REFLAPACK_LIBS_REQUIRED lapack blas g2c gcc)
      find_all_libraries(LAPACK_LIBRARIES REFLAPACK_LIBS_REQUIRED "" "")
      if(LAPACK_LIBRARIES)
        set_config_option(HAVE_BLAS "Blas(Ref)")
        set_config_option(HAVE_LAPACK "Lapack(Ref)")
      endif(LAPACK_LIBRARIES)
    endif(LAPACK_LIBRARIES)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # on Linux try to find the Intel MKL without a Fortran compiler
    if(HAVE_64BIT_SIZE_T)
      set(MKL_PATH lib/em64t)
    else(HAVE_64BIT_SIZE_T)
      set(MKL_PATH lib/32)
    endif(HAVE_64BIT_SIZE_T)
    set(MKL_LIBS_REQUIRED mkl_gf_lp64 iomp5 mkl_gnu_thread mkl_core guide pthread)
    find_all_libraries(LAPACK_LIBRARIES MKL_LIBS_REQUIRED "" ${MKL_PATH})
    if(NOT LAPACK_LIBRARIES)
      #match lapack 9.0 on 64bit
      set(MKL_LIBS_REQUIRED mkl_lapack mkl_em64t guide)
      find_all_libraries(LAPACK_LIBRARIES MKL_LIBS_REQUIRED "" ${MKL_PATH})
    endif(NOT LAPACK_LIBRARIES)
    if(LAPACK_LIBRARIES)
      set_config_option(HAVE_BLAS "Blas(IntelMKL)")
      set_config_option(HAVE_LAPACK "Lapack(IntelMKL)")
    else(LAPACK_LIBRARIES)
      # on Linux also try to find ATLAS without a Fortran compiler,
      # because cmake ships with a buggy FindBLAS e.g. on Ubuntu Lucid
      # Lynx
      set(ATLAS_LIBS_REQUIRED lapack f77blas cblas atlas)
      find_all_libraries(LAPACK_LIBRARIES ATLAS_LIBS_REQUIRED "" "")
      if(LAPACK_LIBRARIES)
        set_config_option(HAVE_BLAS "Blas(ATLAS)")
        set_config_option(HAVE_LAPACK "Lapack(ATLAS)")
      endif(LAPACK_LIBRARIES)
    endif(LAPACK_LIBRARIES)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
    # on SunOS we know blas and lapack are available in sunperf
    set(LAPACK_FLAGS -library=sunperf)
    set_config_option(HAVE_BLAS "Blas(SubPerf)")
    set_config_option(HAVE_LAPACK "Lapack(SunPerf)")
  elseif(APPLE)
    # on Mac we also know that blas and lapack are available
    set(LAPACK_LIBRARIES "-framework vecLib")
    set_config_option(HAVE_BLAS "Blas(VecLib)")
    set_config_option(HAVE_LAPACK "Lapack(VecLib)")
  endif(MSVC)
  if(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
    # if we haven't found blas and lapack without using the standard
    # cmake tests, do it (this requires a working Fortran compiler)
    enable_language(Fortran)
    find_package(BLAS)
    if(BLAS_FOUND)
      set_config_option(HAVE_BLAS "Blas")
      find_package(LAPACK)
      if(LAPACK_FOUND)
        set_config_option(HAVE_LAPACK "Lapack")
      else(LAPACK_FOUND)
        set(LAPACK_LIBRARIES ${BLAS_LIBRARIES})
      endif(LAPACK_FOUND)
      if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
        if(CMAKE_Fortran_COMPILER MATCHES "gfortran")
          list(APPEND LAPACK_LIBRARIES gfortran)
        elseif(CMAKE_Fortran_COMPILER MATCHES "f95")

=== Numeric/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Numeric.cpp
    fullMatrix.cpp
    polynomialBasis.cpp
    JacobianBasis.cpp
    BergotBasis.cpp
    jacobiPolynomials.cpp
    legendrePolynomials.cpp
  GaussIntegration.cpp
    GaussQuadratureLin.cpp
    GaussQuadratureTri.cpp
    GaussQuadratureQuad.cpp
    GaussQuadratureTet.cpp
    GaussQuadratureHex.cpp
    GaussQuadraturePri.cpp
    GaussLegendreSimplex.cpp
  GaussJacobi1D.cpp
  robustPredicates.cpp
  mathEvaluator.cpp
  Iso.cpp
  DivideAndConquer.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Numeric "${SRC};${HDR}")

=== contrib/Netgen/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(gen libsrc/general)
set(lin libsrc/linalg)
set(gpr libsrc/gprim)
set(mes libsrc/meshing)
set(opt libsrc/opti)

set(SRC
  nglib_gmsh.cpp
  ${gen}/array.cpp ${gen}/bitarray.cpp ${gen}/hashtabl.cpp 
    ${gen}/symbolta.cpp ${gen}/table.cpp ${gen}/flags.cpp
    ${gen}/spbita2d.cpp ${gen}/seti.cpp ${gen}/optmem.cpp ${gen}/sort.cpp 
    ${gen}/mystring.cpp ${gen}/parthreads.cpp
    ${gen}/dynamicmem.cpp ${gen}/ngexception.cpp ${gen}/profiler.cpp
  ${lin}/densemat.cpp ${lin}/polynomial.cpp ${lin}/bfgs.cpp
    ${lin}/linopt.cpp ${lin}/linsearch.cpp
  ${gpr}/geom2d.cpp ${gpr}/geom3d.cpp ${gpr}/geomtest3d.cpp ${gpr}/adtree.cpp 
    ${gpr}/transform3d.cpp ${gpr}/geomfuncs.cpp
  ${mes}/meshclass.cpp ${mes}/adfront2.cpp ${mes}/adfront3.cpp 
    ${mes}/geomsearch.cpp ${mes}/global.cpp ${mes}/meshtool.cpp
    ${mes}/netrule2.cpp ${mes}/netrule3.cpp ${mes}/parser2.cpp 
    ${mes}/parser3.cpp ${mes}/ruler2.cpp ${mes}/ruler3.cpp
    ${mes}/meshtype.cpp ${mes}/improve2.cpp ${mes}/smoothing2.5.cpp
    ${mes}/smoothing2.cpp ${mes}/improve3.cpp ${mes}/smoothing3.cpp
    ${mes}/improve2gen.cpp ${mes}/meshing2.cpp ${mes}/meshing3.cpp
    ${mes}/localh.cpp ${mes}/delaunay.cpp ${mes}/topology.cpp 
    ${mes}/clusters.cpp ${mes}/tetrarls.cpp ${mes}/triarls.cpp 
    ${mes}/quadrls.cpp ${mes}/meshfunc.cpp 
    ${mes}/refine.cpp ${mes}/bisect.cpp ${mes}/boundarylayer.cpp 
    ${mes}/specials.cpp ${mes}/msghandler.cpp ${mes}/pyramidrls.cpp
    ${mes}/pyramid2rls.cpp ${mes}/prism2rls.cpp ${mes}/curvedelems.cpp
    ${mes}/validate.cpp ${mes}/basegeom.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/Netgen "${SRC};${HDR}")

=== debian/changelog ===
gmsh (2.5.1~beta2~svn10875~dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * [52d38ce] Apply use_mmg3d.patch. Use packaged version of mmg3d 
      instead of shipped with tarball.
  * [ae08657] Apply use_gmm.patch.  Use packaged version of gmm 
      instead of shipped with tarball. See details in use_gmm.patch
  * [cfd8f72] Apply use_libann.patch. Use packaged version of libann 
      instead of shipped with tarball.

  [ Anton Gladky ]
  * [f604741] Refersh patches.
  * [0b0eec7] Add Christophe Trophime to uploaders.
  * [d4e9eef] Temporarly Remove PETSC from BD. Return it back after all 
      corresponding transition will occur (mumps, hdf5, hypre).
  
  [ Sylvestre Ledru ]
  * [a1a0dcd] Update the dependency on cgns (version 3.1.3.2 minimal)
  * [d448ce9] Transition to hdf5 1.8.8

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 18 Jan 2012 20:23:41 +0100

gmsh (2.5.1~beta2~svn10875~dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * [ba58a67] Enable tetgen on systems, where it is available. 
              Needs package-rebuilding.
  * [c662ef0] Re-enable python-bindings.
  * [1283634] Use packaged version of gmm instead of shipped with tarball. 
              Patch is disabled.

  [ Anton Gladky ]
  * [5113738] Install doc-files from utils/ directory.
  * [29c8205] Make menu-icon of 2 sizes: 16x16 and 32x32.
  * [27243b3] Use --parallel building
  * [0176242] Override lintian warning. License file is not a license.
  * [f41ccad] Imported Upstream version 2.5.1~beta2~svn10875~dfsg

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 07 Jan 2012 08:04:21 +0100

gmsh (2.5.1~beta2~svn10664~dfsg-3) unstable; urgency=low

  * [980797d] Remove slepc, because it is not in testing.
  * [6a1fd65] Prevent petsc on platforms, where lam is used.
              Causes FTBFS.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 22 Dec 2011 18:55:41 +0100

=== debian/control ===
Source: gmsh
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, 
 Anton Gladky <gladky.anton@gmail.com>,
 Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: debhelper (>= 8), cmake, gfortran, libgl1-mesa-dev,
 libglu1-mesa-dev, libfltk1.3-dev (>=1.1.7),
 libpng12-dev, libjpeg-dev, zlib1g-dev, texlive, texinfo,
 mpi-default-dev,
 libopencascade-modeling-dev,
 libcgns-dev (>= 3.1.3.2),
 libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6), 
 libhdf5-mpi-dev (>= 1.8.8) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
 libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev,
 python-dev (>= 2.6.6-3~), swig2.0,
 chrpath, libann-dev,
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
X-Python-Version: current
Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/

Package: gmsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin,
 python (>= 2.7), python (<<2.8)
Description: Three-dimensional finite element mesh generator
 Gmsh is an automatic 3D finite element mesh generator (primarily
 Delaunay) with build-in CAD and post-processing facilities. Its
 design goal is to provide a simple meshing tool for academic test
 cases with parametric input and up to date visualization
 capabilities.
 .
 Gmsh is built around four modules: geometry, mesh, solver and
 post-processing. The specification of any input to these modules is
 done either interactively using the graphical user interface or in
 ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --parallel

extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lgl2ps -lGL -lglut" \
-DCMAKE_INCLUDE_PATH:="/usr/include/mpi"\
-DENABLE_METIS:=OFF\
-DENABLE_TAUCS:=OFF\

# PETSC_DIR is the location of PETSc.
export PETSC_DIR=/usr/lib/petscdir/3.1
export PETSC_ARCH=linux-gnu-c-opt
export SLEPC_DIR=/usr/lib/slepcdir/3.1

override_dh_auto_clean:
	rm -rf $(BUILDDIR)
	rm -f doc/texinfo/gmsh.vr 
	rm -f doc/texinfo/gmsh.fn 
	rm -f doc/texinfo/gmsh.ky 
	rm -f doc/texinfo/gmsh.pg
	rm -f doc/texinfo/gmsh.toc
	rm -f doc/texinfo/gmsh.log
	rm -f doc/texinfo/gmsh.cp
	rm -f doc/texinfo/gmsh.tp
	rm -f doc/texinfo/gmsh.tps
	rm -f doc/texinfo/gmsh.cps
	rm -f doc/texinfo/gmsh.aux
	rm -f doc/texinfo/gmsh.html
	rm -f doc/texinfo/gmsh.pdf
	rm -f doc/texinfo/gmsh.info

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- lib
	dh_auto_build -- shared
	# To avoid the texi2dvi pb add LC_ALL=C
	dh_auto_build -- pdf html info LC_ALL=C
	chrpath -d $(BUILDDIR)/gmshpy/*.so

## gmsh 2.5.1~beta2~svn11301~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Geo/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  GEntity.cpp STensor3.cpp
    GVertex.cpp GEdge.cpp GFace.cpp GRegion.cpp
    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp
  GRegionCompound.cpp GRbf.cpp
    gmshVertex.cpp gmshEdge.cpp gmshFace.cpp gmshRegion.cpp gmshSurface.cpp
    OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
    discreteEdge.cpp discreteFace.cpp discreteRegion.cpp
    fourierEdge.cpp fourierFace.cpp fourierProjectionFace.cpp
  ACISVertex.cpp
  ACISEdge.cpp
  ACISFace.cpp
  GModel.cpp
    GModelVertexArrays.cpp
    GModelFactory.cpp
    GModelIO_Geo.cpp
    GModelIO_Mesh.cpp
    GModelIO_OCC.cpp 
      OCC_Connect.cpp
    GModelIO_ACIS.cpp
    GModelIO_Fourier.cpp
    GModelIO_CGNS.cpp
    GModelIO_MED.cpp
  ExtrudeParams.cpp
  Geo.cpp
  GeoStringInterface.cpp GeoInterpolation.cpp
  gmshLevelset.cpp
  findLinks.cpp
  SOrientedBoundingBox.cpp
  GeomMeshMatcher.cpp
  MVertex.cpp
  MEdge.cpp
  MFace.cpp
  MElement.cpp MElementOctree.cpp
    MLine.cpp MTriangle.cpp MQuadrangle.cpp MTetrahedron.cpp
    MHexahedron.cpp MPrism.cpp MPyramid.cpp MElementCut.cpp
  MZone.cpp MZoneBoundary.cpp
  Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp
  Curvature.cpp
  MVertexBoundaryLayerData.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Geo "${SRC};${HDR}")

=== Mesh/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
CenterlineField.cpp
  Generator.cpp
  Field.cpp
    meshGEdge.cpp 
      meshGEdgeExtruded.cpp
    meshGFace.cpp 
      meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
      meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
      meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
      meshGFaceQuadrilateralize.cpp meshGFaceBoundaryLayers.cpp
    meshGRegion.cpp 
      meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
      meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
      meshGRegionLocalMeshMod.cpp meshGRegionMMG3D.cpp
    meshMetric.cpp
    BackgroundMesh.cpp 
    qualityMeasures.cpp 
    BoundaryLayers.cpp 
    BDS.cpp 
    HighOrder.cpp 
      highOrderSmoother.cpp 
      highOrderTools.cpp 
    meshPartition.cpp
    meshRefine.cpp
    multiscalePartition.cpp
    QuadTriUtils.cpp
      QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
    Levy3D.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Mesh "${SRC};${HDR}")

=== Numeric/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Plugin/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Plugin.cpp PluginManager.cpp
  Levelset.cpp
    CutPlane.cpp CutSphere.cpp Isosurface.cpp
  Smooth.cpp CutParametric.cpp
  Lambda2.cpp
  Eigenvectors.cpp Eigenvalues.cpp
  StreamLines.cpp Particles.cpp CutGrid.cpp CutBox.cpp
  Transform.cpp
    LongitudeLatitude.cpp
  Triangulate.cpp Tetrahedralize.cpp
  Warp.cpp SphericalRaise.cpp
  Skin.cpp GSHHS.cpp
  MathEval.cpp ModifyComponent.cpp ExtractElements.cpp
  MakeSimplex.cpp
  Integrate.cpp Gradient.cpp Curl.cpp Divergence.cpp
  Annotate.cpp Remove.cpp
  Probe.cpp MinMax.cpp
  HarmonicToTime.cpp ModulusPhase.cpp
  HomologyComputation.cpp
  Distance.cpp ExtractEdges.cpp NearestNeighbor.cpp
  AnalyseCurvedMesh.cpp 
  FieldFromAmplitudePhase.cpp
  Bubbles.cpp NearToFarField.cpp
  DiscretizationError.cpp
  Scal2Vec.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(Plugin "${SRC};${HDR}")

=== contrib/Tetgen/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2012 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  tetgen.cxx
  predicates.cxx
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/Tetgen "${SRC};${HDR}")

=== debian/changelog ===
gmsh (2.5.1~beta2~svn11301~dfsg-2) unstable; urgency=low

  * [3039722] Refresh patches.
  * [4ae519f] Add again PETSC to BD.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 14 Feb 2012 21:19:45 +0100

gmsh (2.5.1~beta2~svn11301~dfsg-1) unstable; urgency=low

  * [4800d1e] Imported Upstream version 2.5.1~beta2~svn11301~dfsg
  * [a09b4fe] Add libgmm++-dev on platforms, where it is available.
  * [d673978] Fix typo in mmg3d-patch.
  * [fe2db58] Switch from opencascade to oce.
  * [1fd7f23] Minor fix in py-modules (upstream has changed the build-place).

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 10 Feb 2012 20:26:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
  libglu1-mesa-dev, libfltk1.3-dev (>=1.1.7),
  libpng12-dev, libjpeg-dev, zlib1g-dev, texlive, texinfo,
  mpi-default-dev,
- libopencascade-modeling-dev,
+ libgmm++-dev [!hurd-i386 !s390x],
+ liboce-modeling-dev,
  libcgns-dev (>= 3.1.3.2),
  libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6), 
  libhdf5-mpi-dev (>= 1.8.8) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
  libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev,
  python-dev (>= 2.6.6-3~), swig2.0,
  chrpath, libann-dev,
+ libpetsc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel]
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 X-Python-Version: current

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --parallel
 
-extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lgl2ps -lGL -lglut" \
+extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lmpi" \
 -DCMAKE_INCLUDE_PATH:="/usr/include/mpi"\
 -DENABLE_METIS:=OFF\
 -DENABLE_TAUCS:=OFF\
@@ -40,4 +40,4 @@
 	dh_auto_build -- shared
 	# To avoid the texi2dvi pb add LC_ALL=C
 	dh_auto_build -- pdf html info LC_ALL=C
-	chrpath -d $(BUILDDIR)/gmshpy/*.so
+	chrpath -d $(BUILDDIR)/wrappers/gmshpy/*.so

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.geuz.org/gmsh/src/gmsh-([\d.]+)-source\.tgz

## gmsh 2.5.1~beta2~svn11604~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,49 +16,55 @@
 
 project(gmsh CXX C)
 
-option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
-option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ON)
-option(ENABLE_APP_BUNDLE "Create .app bundle on Mac when installing" ON)
-option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
-option(ENABLE_BFGS "Enable BFGS" ON)
+# this variable controls the default value of the "ENABLE_XXX" options which are
+# normally set to ON (useful if you want to configure a minimal version of Gmsh:
+# e.g. "cmake -DDEFAULT=0 -DENABLE_POST=1 -DENABLE_PARSER=1")
+set(DEFAULT ON CACHE INTERNAL "Default value for options")
+
+option(ENABLE_ACIS "Enable ACIS geometrical models" ${DEFAULT})
+option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ${DEFAULT})
+option(ENABLE_APP_BUNDLE "Create .app bundle on Mac when installing" ${DEFAULT})
+option(ENABLE_BAMG "Enable Bamg mesh generator" ${DEFAULT})
+option(ENABLE_BFGS "Enable BFGS" ${DEFAULT})
 option(ENABLE_BLAS_LAPACK "Use BLAS and Lapack for linear algebra" ON)
-option(ENABLE_BLOSSOM "Enable Blossom algo (based on MATCH and concorde97)" ON)
+option(ENABLE_BLOSSOM "Enable Blossom algo (based on MATCH and concorde97)" ${DEFAULT})
 option(ENABLE_CGNS "Enable CGNS mesh export" OFF)
-option(ENABLE_CHACO "Enable Chaco mesh partitioner" ON)
-option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ON)
-option(ENABLE_FLTK "Build FLTK GUI" ON)
-option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ON)
+option(ENABLE_CHACO "Enable Chaco mesh partitioner" ${DEFAULT})
+option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ${DEFAULT})
+option(ENABLE_FLTK "Build FLTK GUI" ${DEFAULT})
+option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ${DEFAULT})
 option(ENABLE_FOURIER_MODEL "Enable Fourier geometrical models" OFF)
-option(ENABLE_GMM "Enable GMM linear algebra solvers" ON)
+option(ENABLE_GMM "Enable GMM linear algebra solvers" ${DEFAULT})
 option(ENABLE_GRAPHICS "Compile-in OpenGL graphics even if there is no GUI" OFF)
-option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ON)
-option(ENABLE_MATHEX "Enable MathEx expression parser" ON)
-option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
-option(ENABLE_MESH "Build the mesh module" ON)
-option(ENABLE_METIS "Enable Metis mesh partitioner" ON)
-option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ON)
-option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ON)
+option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ${DEFAULT})
+option(ENABLE_MATHEX "Enable MathEx expression parser" ${DEFAULT})
+option(ENABLE_MED "Enable MED mesh and post-processing file formats" ${DEFAULT})
+option(ENABLE_MESH "Build the mesh module" ${DEFAULT})
+option(ENABLE_METIS "Enable Metis mesh partitioner" ${DEFAULT})
+option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ${DEFAULT})
+option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ${DEFAULT})
 option(ENABLE_MPI "Enable MPI parallelization" OFF)
 option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
-option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ON)
-option(ENABLE_NETGEN "Enable Netgen mesh generator" ON)
-option(ENABLE_OCC "Enable Open CASCADE geometrical models" ON)
-option(ENABLE_ONELAB "Enable OneLab solver interface" ON)
+option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ${DEFAULT})
+option(ENABLE_NETGEN "Enable Netgen mesh generator" ${DEFAULT})
+option(ENABLE_OCC "Enable Open CASCADE geometrical models" ${DEFAULT})
+option(ENABLE_ONELAB "Enable OneLab solver interface" ${DEFAULT})
 option(ENABLE_OSMESA "Use OSMesa for offscreen rendering" OFF)
-option(ENABLE_PARSER "Build the GEO file parser" ON)
-option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ON)
-option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
-option(ENABLE_POST "Build the post-processing module" ON)
+option(ENABLE_PARSER "Build the GEO file parser" ${DEFAULT})
+option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ${DEFAULT})
+option(ENABLE_PLUGINS "Build the post-processing plugins" ${DEFAULT})
+option(ENABLE_POST "Build the post-processing module" ${DEFAULT})
 option(ENABLE_QT "Build proof-of-concept QT GUI" OFF)
-option(ENABLE_RBF "Enable RBF project" OFF)
-option(ENABLE_SALOME "Enable Salome routines for CAD healing" ON)
-option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
-option(ENABLE_SOLVER "Enable solver components" ON)
-option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ON)
-option(ENABLE_TETGEN "Enable Tetgen mesh generator" ON)
+option(ENABLE_RTREE "Enable RTREE" ${DEFAULT})
+option(ENABLE_SALOME "Enable Salome routines for CAD healing" ${DEFAULT})
+option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ${DEFAULT})
+option(ENABLE_SOLVER "Enable solver components" ${DEFAULT})
+option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ${DEFAULT})
+option(ENABLE_TETGEN "Enable Tetgen mesh generator" ${DEFAULT})
 option(ENABLE_TETGEN_NEW "Enable experimental version of Tetgen" OFF)
+option(ENABLE_VORO3D "Enable Voro3D" ${DEFAULT})
 option(ENABLE_WRAP_JAVA "Build Java wrappers" OFF)
-option(ENABLE_WRAP_PYTHON "Build Python wrappers" ON)
+option(ENABLE_WRAP_PYTHON "Build Python wrappers" ${DEFAULT})
 
 set(GMSH_MAJOR_VERSION 2)
 set(GMSH_MINOR_VERSION 5)
@@ -89,7 +95,7 @@
     Geo/SOrientedBoundingBox.h Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h
     Geo/Homology.h Geo/partitionEdge.h Geo/CGNSOptions.h Geo/gmshLevelset.h
   Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h Mesh/meshPartition.h
-    Mesh/meshGFaceDelaunayInsertion.h Mesh/Levy3D.h Mesh/meshPartitionOptions.h
+    Mesh/meshGFaceDelaunayInsertion.h Mesh/simple3D.h Mesh/meshPartitionOptions.h Mesh/Voronoi3D.h Mesh/Levy3D.h Mesh/periodical.h
   Numeric/mathEvaluator.h
   Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
     Solver/crossConfTerm.h Solver/orthogonalTerm.h
@@ -257,19 +263,3 @@
     set_config_option(HAVE_LAPACK "Lapack(VecLib)")
   endif(MSVC)
   if(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
-    # if we haven't found blas and lapack without using the standard
-    # cmake tests, do it (this requires a working Fortran compiler)
-    enable_language(Fortran)
-    find_package(BLAS)
-    if(BLAS_FOUND)
-      set_config_option(HAVE_BLAS "Blas")
-      find_package(LAPACK)
-      if(LAPACK_FOUND)
-        set_config_option(HAVE_LAPACK "Lapack")
-      else(LAPACK_FOUND)
-        set(LAPACK_LIBRARIES ${BLAS_LIBRARIES})
-      endif(LAPACK_FOUND)
-      if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
-        if(CMAKE_Fortran_COMPILER MATCHES "gfortran")
-          list(APPEND LAPACK_LIBRARIES gfortran)
-        elseif(CMAKE_Fortran_COMPILER MATCHES "f95")

=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CenterlineField.cpp
   Generator.cpp
   Field.cpp
-    meshGEdge.cpp 
+   meshGEdge.cpp 
       meshGEdgeExtruded.cpp
     meshGFace.cpp 
       meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
@@ -31,7 +31,10 @@
     multiscalePartition.cpp
     QuadTriUtils.cpp
       QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
+    simple3D.cpp
+    Voronoi3D.cpp
     Levy3D.cpp
+    periodical.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== debian/changelog ===
gmsh (2.5.1~beta2~svn11604~dfsg-1) unstable; urgency=low

  * [e5d1f6e] Imported Upstream version 2.5.1~beta2~svn11604~dfsg
  * [7384987] Update copyright file due to released DEP-5.
  * [5f6befc] Add copyright info about contrib/voro++.
  * [f73fee5] Add copyright info about contrib/rtree
  * [dc55a25] Remove use_tetgen.patch. Was applied by upstream.
  * [b1f3470] Remove use_mmg3d.patch. Was applied by upstream.
  * [fb7f10c] Remove use_gmm.patch. Was applied by upstream.
  * [6e12760] Remove use_libann.patch. Was applied by upstream.
  * [5eca597] Install some files for compiling api_demos. 
              Thanks to Christophe Trophime.
  * [3986e6b] Add additional liboce-libraries into BD.
  * [b30cb02] Update Standards-Version to 3.9.3. No changes.
  * [6e7f410] Add libslepc3.2 to BD.
  * [9ed8464] Add auto-test to check functionality after build.
  * [4580e65] Add a hint to README.Debian, how to compile api_demos.
              Thanks to Christophe Trophime.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 12 Mar 2012 19:25:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
  libpng12-dev, libjpeg-dev, zlib1g-dev, texlive, texinfo,
  mpi-default-dev,
  libgmm++-dev [!hurd-i386 !s390x],
- liboce-modeling-dev,
+ liboce-modeling-dev, liboce-visualization-dev, liboce-ocaf-dev, oce-draw,
  libcgns-dev (>= 3.1.3.2),
  libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6), 
  libhdf5-mpi-dev (>= 1.8.8) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
  libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev,
  python-dev (>= 2.6.6-3~), swig2.0,
  chrpath, libann-dev,
- libpetsc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel]
-Standards-Version: 3.9.2
+ libpetsc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel],
+ libslepc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel]
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 X-Python-Version: current
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --parallel
+
+export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
 
 extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lmpi" \
 -DCMAKE_INCLUDE_PATH:="/usr/include/mpi"\
@@ -10,9 +12,9 @@
 -DENABLE_TAUCS:=OFF\
 
 # PETSC_DIR is the location of PETSc.
-export PETSC_DIR=/usr/lib/petscdir/3.1
+export PETSC_DIR=/usr/lib/petscdir/3.2
 export PETSC_ARCH=linux-gnu-c-opt
-export SLEPC_DIR=/usr/lib/slepcdir/3.1
+export SLEPC_DIR=/usr/lib/slepcdir/3.2
 
 override_dh_auto_clean:
 	rm -rf $(BUILDDIR)
@@ -41,3 +43,15 @@
 	# To avoid the texi2dvi pb add LC_ALL=C
 	dh_auto_build -- pdf html info LC_ALL=C
 	chrpath -d $(BUILDDIR)/wrappers/gmshpy/*.so
+
+override_dh_auto_test:
+	mkdir test-dir
+	cp demos/transfinite.geo test-dir
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.mesh
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.mesh
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.msh
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.msh
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.stl
+	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.stl
+	cd test-dir; ls -ln;
+	rm -rf test-dir
